Subject: Re: Missing registry defines in windows32 headers?
From: [email-masked] (Andrew Lipnitsky)

11 Jan 1998 12:09:36 -0800
Message-ID: <[email-masked]>
References: <01bd1e00$3d511840$LocalHost@tornado>
Mime-Version: 1.0
Content-Type: text/plain; charset=koi8-r
Content-Transfer-Encoding: 7bit
To: Jerry Cable <[email-masked]>,
        Cygnus Solution GnuWin32 Mail List <[email-masked]>

Jerry Cable wrote:

> I am trying to compile a program I downloaded from CompuServe which
> reads
> from the registry. When I attempted to compile it using gcc, I receive
> the
> following error:
>
>         HKEY_DYN_DATA undeclared (first use this function)
>
> I looked in the windows32 header files included with the cygwin b18
> distribution and found the other HKEY defines used by this program,
> but
> couldn't find HKEY_DYN_DATA. I also looked at a Win32 API help file I
> had,
> and it appears to have no mention of this symbol. Is this an
> undocumented
> registry definition, and if it is, does anyone know what the value
> should
> be? Thanks in advance!
>
> Jerry Cable
> [email-masked]
>

Indeed, there is not definition of HKEY_DYN_DATA in cygnus's h-files.
In order to make this definition available to you ,
Just add following string into file
H-i386-cygwin32/i386-cygwin32/include/Windows32/Defines.h:

#define HKEY_DYN_DATA ( ( HKEY ) 0x80000006 )

Best regards.

Andrew.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".